=== texmf-dist/doc/texlive/texlive-de/Makefile ===
include ../texlive-en/Makefile
doc = texlive-de
