=== texmf-dist/source/generic/vntex/Makefile ===

default:
	tex vntex.ins

clean:
	rm -f *.{ldf,log,sty}
