=== debian/changelog ===
texlive-lang (2025.20250927-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.
  * Kill apprendre-a-programmer-en-tex/fonts/libertine-legacy.zip
    from texlive-lang-french.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 27 Sep 2025 22:58:27 +0200
