=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>, Hilmar Preuße <hille42@debian.org>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git [texlive-lang]
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin/tree/master/texlive-lang

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2022.20220405), texlive-base (>= 2025.20250727), texlive-plain-generic (>= 2025.20250727)
Replaces: texlive-xetex (<< 2020.20200519)
Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2020.20200519)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 alkalami -- A font for Arabic-based writing systems in Nigeria and Niger
 .
 alpha-persian -- Persian version of alpha.bst
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages
 .
 arabic-book -- An Arabic book class
 .
 arabluatex -- ArabTeX for LuaLaTeX
 .
 arabtex -- Macros and fonts for typesetting Arabic
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX or
 LuaTeX
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents
 .
 ghab -- Typeset ghab boxes in LaTeX
 .
 hvarabic -- Macros for RTL typesetting
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings
 .
 iran-bibtex -- Iran Manual of Style Citation Guide for BibTeX
 .
 khatalmaqala -- Arabic font for university articles
 .
 kurdishlipsum -- A 'lipsum' package for the Kurdish language
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX
 .
 luabidi -- Bidi functions for LuaTeX
 .
 mohe-book -- Typeset authored, translated, and research books according to
 mohe rules
 .
 na-box -- Arabic-aware version of pas-cours package
 .
 parsimatn -- Contemporary Persian font for scientific and formal writings
 .
 parsinevis -- "Scheherazade New" adapted for Persian typesetting and
 scientific writings
 .
 persian-bib -- Persian translations of classic BibTeX styles
 .
 quran -- An easy way to typeset any part of The Holy Quran
 .
 sexam -- Package for typesetting arabic exam scripts
 .
 simurgh -- Typeset Parsi in LuaLaTeX
 .
 texnegar -- Kashida justification in XeLaTeX and LuaLaTeX
 .
 tram -- Typeset tram boxes in LaTeX
 .
 xepersian -- Persian for LaTeX, using LuaTeX or XeTeX
 .
 xepersian-hm -- Fixes kashida feature in xepersian package
 .
 xindy-persian -- Support for the Persian language in xindy

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2022.20220405), texlive-base (>= 2025.20250727), texlive-binaries (>= 2025.20250727), texlive-latex-base (>= 2025.20250727)
Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
Replaces: texlive-xetex (<< 2021.20220204)
Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2021.20220204)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation. Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother. Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 -- c90 font encoding for Thai
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks
 .
 evangelion-jfm -- A Japanese font metric supporting many advanced features
 .
 fixjfm -- Fix JFM (for *pTeX)
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 jfmutil -- Utility to process pTeX-extended TFM and VF
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 pxtatescale -- Patch to graphics driver for scaling in vertical direction of
 pTeX
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 xecjk -- Support for CJK documents in XeLaTeX
 .
 zitie -- Create CJK character calligraphy practicing sheets
 .
 zxjafont -- Set up Japanese font families for XeLaTeX

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2022.20220405), texlive-binaries (>= 2025.20250727), texlive-lang-cjk (>= 2025.20250727)
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2022.20220405)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 baekmuk -- Baekmuk Korean TrueType fonts
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts
 .
 pmhanguljamo -- Poor man's Hangul Jamo input method
 .
 uhc -- Fonts for the Korean language
 .
 unfonts-core -- TrueType version of Un-fonts
 .
 unfonts-extra -- TrueType version of Un-fonts

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2022.20220405), texlive-lang-cjk (>= 2025.20250727)
Breaks: texlive-base (<< 2022.20220405)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 arphic-ttf -- TrueType version of Chinese Arphic fonts
 .
 asymptote-by-example-zh-cn -- Asymptote by example
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
 .
 cns -- Chinese/Japanese/Korean bitmap fonts
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
 .
 exam-zh -- LaTeX template for Chinese exams
 .
 fandol -- Four basic fonts for Chinese typesetting
 .
 fduthesis -- LaTeX thesis template for Fudan University
 .
 hanzibox -- Boxed Chinese characters with Pinyin above and translation below
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn -- Free edition of the book "TeX for the Impatient"
 .
 install-latex-guide-zh-cn -- A short introduction to LaTeX installation
 written in Chinese
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese
 .
 nanicolle -- Typesetting herbarium specimen labels
 .
 njurepo -- Reports for Nanjing University
 .
 pgfornament-han -- pgfornament library for Chinese traditional motifs and
 patterns
 .
 qyxf-book -- Book Template for Qian Yuan Xue Fu
 .
 sjtutex -- LaTeX classes for Shanghai Jiao Tong University
 .
 suanpan-l3 -- Traditional Chinese 7-bids suanpan (abacus) package based on
 l3draw
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 texproposal -- A proposal prototype for LaTeX promotion in Chinese
 universities
 .
 tlmgr-intro-zh-cn -- A short tutorial on using tlmgr in Chinese
 .
 upzhkinsoku -- Supplementary Chinese kinsoku for Unicode *pTeX
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 xtuthesis -- XTU thesis template
 .
 zhlineskip -- Line spacing for CJK documents
 .
 zhlipsum -- Chinese dummy text
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
 .
 zhmetrics-uptex -- Chinese font metrics for upTeX
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ruby, texlive-base (>= 2022.20220405), texlive-binaries (>= 2025.20250727), texlive-lang-cjk (>= 2025.20250727)
Conflicts: ptex-jisfonts
Recommends: fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, texlive-latex-recommended
Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
Suggests: fonts-noto-cjk-extra
Replaces: mendexk, texlive-binaries (<< 2024)
Breaks: texlive-base (<< 2022.20220405), texlive-binaries (<< 2024), texlive-extra-utils (<< 2023.20230613)
Description: TeX Live: Japanese
 Support for Japanese; additional packages are in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 ascmac -- Boxes and picture macros with Japanese vertical writing support
 .
 asternote -- Annotation symbols enclosed in square brackets and marked with
 an asterisk
 .
 babel-japanese -- Babel support for Japanese
 .
 bxbase -- BX bundle base components
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
 .
 bxcoloremoji -- Use color emojis more conveniently
 .
 bxghost -- Ghost insertion for proper xkanjiskip
 .
 bxjaholiday -- Support for Japanese holidays
 .
 bxjalipsum -- Dummy text in Japanese
 .
 bxjaprnind -- Adjust the position of parentheses at paragraph head
 .
 bxjatoucs -- Convert Japanese character code to Unicode
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 bxorigcapt -- To retain the original caption names when using Babel
 .
 bxwareki -- Convert dates from Gregorian to Japanese calender
 .
 chuushaku -- Flexible book notes in Japanese
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
 .
 convert-jpfonts -- Convert half-width Japanese to full-width beautifully
 .
 endnotesj -- Japanese-style endnotes
 .
 gckanbun -- Kanbun typesetting for (u)pLaTeX and LuaLaTeX
 .
 gentombow -- Generate Japanese-style crop marks
 .
 haranoaji -- Harano Aji Fonts
 .
 haranoaji-extra -- Harano Aji Fonts
 .
 ieejtran -- Unofficial bibliography style file for the Institute of
 Electrical Engineers of Japan
 .
 ifptex -- Check if the engine is pTeX or one of its derivatives
 .
 ifxptex -- Detect pTeX and its derivatives
 .
 ipaex -- IPA (Japanese) fonts
 .
 japanese-mathformulas -- Compiling basic math formulas in Japanese using
 LuaLaTeX
 .
 japanese-otf -- Advanced font selection for platex and its friends
 .
 jieeetran -- UnofficiaL BibTeX style for citing Japanese articles in IEEE
 format
 .
 jlreq -- Japanese document class based on requirements for Japanese text
 layout
 .
 jlreq-deluxe -- Multi-weight Japanese font support for the jlreq class
 .
 jpneduenumerate -- Enumerative expressions in Japanese education
 .
 jpnedumathsymbols -- Mathematical equation representation in Japanese
 education
 .
 jsclasses -- Classes tailored for use with Japanese
 .
 kanbun -- Typeset kanbun-kundoku with support for kanbun annotation
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 mendex-doc -- Documentation for Mendex index processor
 .
 morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
 dvips
 .
 outoruby -- Ruby with line break support for Japanese text
 .
 pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
 .
 pbibtex-manual -- Documentation files for (u)pBibTeX
 .
