## texlive-lang 2025.20251127

=== debian/changelog ===
texlive-lang (2025.20251127-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 29 Nov 2025 15:35:21 +0100
