=== debian/control ===
--- 
+++ 
@@ -328,7 +328,7 @@
  .
  japanese-otf -- Advanced font selection for platex and its friends
  .
- jieeetran -- UnofficiaL BibTeX style for citing Japanese articles in IEEE
+ jieeetran -- Unofficial BibTeX style for citing Japanese articles in IEEE
  format
  .
  jlreq -- Japanese document class based on requirements for Japanese text
@@ -349,6 +349,9 @@
  .
  luatexja -- Typeset Japanese with Lua(La)TeX
  .
+ luwa-ul -- Provides underlines and other highlighting which can be used in
+ vertical mode
+ .
  mendex-doc -- Documentation for Mendex index processor
  .
  morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
@@ -356,7 +359,3 @@
  .
  outoruby -- Ruby with line break support for Japanese text
  .
- pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
- .
- pbibtex-manual -- Documentation files for (u)pBibTeX
- .
