## texlive-lang 2025.20260124

=== debian/changelog ===
texlive-lang (2025.20260124-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 25 Jan 2026 20:35:38 +0100
