=== debian/control ===
--- 
+++ 
@@ -38,6 +38,8 @@
  .
  arabtex -- Macros and fonts for typesetting Arabic
  .
+ awami -- A collection of Awami Nastaliq fonts
+ .
  bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX or
  LuaTeX
  .
@@ -215,6 +217,10 @@
  .
  lshort-chinese -- Introduction to LaTeX, in Chinese
  .
+ luatex-cn -- A LuaTeX based package to handle Chinese text typesetting
+ .
+ lxgw-fonts -- A CJK font family with a comprehensive character set
+ .
  nanicolle -- Typesetting herbarium specimen labels
  .
  njurepo -- Reports for Nanjing University
@@ -354,8 +360,3 @@
  .
  mendex-doc -- Documentation for Mendex index processor
  .
- morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
- dvips
- .
- outoruby -- Ruby with line break support for Japanese text
- .
